[LMI] Nemiver comme KDBG ?

Voir le sujet précédent Voir le sujet suivant Aller en bas

resolu [LMI] Nemiver comme KDBG ?

Message  Arbiiza le Mar 11 Mar 2014, 11:01

Bonjour à tous,

Je me suis acheté un notebook, un Aspire V5-123 avec AMD64 comme processeur. J'ai tenté d'installer Ubuntu, plein d'erreur de compatabilité matériel ! Après 2jours de recherche intensive, j'ai installé Xubuntu 14.04 Bêta, le seule système d'exploitation linux qui était valide avec mon matériel et l'UEFi (Win8).

Résultat, j'ai eu des problèmes de sources de packet (Trusty), avec LibreOffice, bref! J'ai l'impression de mettre 2 jours de recherche pour installer un programme. Tout ces détails sont pour vous expliquez le contexte.

J'ai tenté, hier d'installer KDBG. Aucune erreur, tout c'est bien passé, malheureusement, lors de l'execution, j'ai eu cette erreur :

MNG error 1060: MHDR simplicity indicates unsupported feature(s); chunk MHDR; subcode 0:0
MNG error 11: Function is invalid at this point; chunk MHDR; subcode 0:0
MNG error 11: Function is invalid at this point; chunk MHDR; subcode 0:0

...
...

J'ai demandé au professeur si l'erreur lui parlait, il m'a conseillé de faire une recherche ! Je suis tombé sur des forums anglais, des explications par rapport a MNG, d'installer des librairies, bref! Rien à voir avec le vrai fond du problème. Après plusieurs heures de recherche, j'ai compris que mon environnement était sous GNOME ! Alors que, la plupart des autres programmes se trouve sous KDE. Malgré avoir installer les packets KDE4, ... Rien n'y fait ! Il y avait un problème de compatibilité encore une fois.

J'ai alors trouvé un autre programme, ressemblant très fortement à KDBG. Il se nomme "Nemiver". Je voulais savoir, si, est-ce qu'il fallait absolument travailler sous KDBG ? (par exemple, parce que c'est le plus courant/utilisé ou recomandé ?) Ou alors, je n'aurais aucun "handicap" et je peu l'utiliser sans crainte (Nemiver) ?

Si ce n'est pas le cas, auriez-vous connu/entendu ce problème de compatabilité quelques parts dans votre mémoire ? Où encore, est-il possible de simulé en KDE sous gnome ?

En espérant pouvoir aider des personnes qui auraient rencontré se problème.

Merci d'avoir lu mon post, bonne journée à vous.


" Nemiver: interface de gdb s'intégrant bien à Gnome
Kdbg: interface de gdb s'intégrant bien à KDE"

Arbiiza

Nombre de messages : 36
Prénom : Hakim
Date d'inscription : 16/09/2013

Revenir en haut Aller en bas

resolu Re: [LMI] Nemiver comme KDBG ?

Message  mcd le Mar 11 Mar 2014, 11:09

Je ne connais pas Nemiver.
Par contre, ton problème avec kdbg ressemble fort à ce qui est écrit ici : https://bbs.archlinux.org/viewtopic.php?id=170379

mcd

Nombre de messages : 1548
Prénom : Marco
Statut : prof
Localisation : Molenbeek
Date d'inscription : 29/09/2006

http://mcd.namok.be

Revenir en haut Aller en bas

resolu :-)

Message  Arbiiza le Mar 11 Mar 2014, 11:29

mcd a écrit:Je ne connais pas Nemiver.
Par contre, ton problème avec kdbg ressemble fort à ce qui est écrit ici : https://bbs.archlinux.org/viewtopic.php?id=170379


Je l'avais consulté hier soir :-) C'était une réponse sur un forum rédirigé vers cette page, qui malheureusement ne m'a pas beaucoup aidé ^^
J'ai été sur le site de kdbg, qui proposait la dernière version qui était 4.5.... et un genre d'addons que je n'ai pas réussis à installer malgré la consultation du README (qui donnait "./configure | make | make install" pour installer cette librairie, malheureusement, en lancant ./autogen.sh -> 1 erreur

"hakim@hakim:~/Bureau/kdbg-2.2.1$ ./autogen.sh
# Unable to find autoconf!!
# Unable to find autoheader!!
# Unable to find autom4te!!
# Unable to find automake!!
# Unable to find aclocal!!
./admin/cvs.sh: 1: ./admin/cvs.sh: --version: not found
*** AUTOCONF NOT FOUND!.
*** KDE requires autoconf 2.53 or newer
make: *** [cvs] Erreur 1

"

et en faisant : ./configure

"hakim@hakim:~/Bureau/kdbg-2.2.1$ ./configure
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking for -p flag to install... yes
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for kde-config... not found
configure: error: The important program kde-config was not found!
Please check whether you installed KDE correctly.

"
c'est ici, que j'ai commencé a installer diverses commande KDE, (kde-config / kde4 / etc ...)

Et ensuite, vu que cela ne fonctionnait toujours pas, j'ai trouvé grâce à toutes ces erreur, qu'il y avait bien une confrontation entre "Gnome" et "Kde" et j'ai réussis à trouver Nemiver pour Gnome :-) (Qui est, en quelques sortes, Kdbg sous Kde ) j'ai remarqué qu'il partageait tout les deux la même source qui est "dbg" :-)

Arbiiza

Nombre de messages : 36
Prénom : Hakim
Date d'inscription : 16/09/2013

Revenir en haut Aller en bas

resolu Re: [LMI] Nemiver comme KDBG ?

Message  Contenu sponsorisé Aujourd'hui à 10:46


Contenu sponsorisé


Revenir en haut Aller en bas

Voir le sujet précédent Voir le sujet suivant Revenir en haut


 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum